Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.builder
Interface FlowBuilderContext

All Known Implementing Classes:
  FlowBuilderContextImpl, MockFlowBuilderContext

    public interface FlowBuilderContext

Provides services needed to a direct a flow builder through building a flow definition.

Author:
  Keith Donald

Method Summary
`org.springframework.context.ApplicationContext` | `getApplicationContext()` Returns the application context hosting the flow system.
`ConversionService` | `getConversionService()` Returns a generic type conversion service for converting between types, typically from string to a rich value object.
`ExpressionParser` | `getExpressionParser()` Returns the expression parser for parsing expression strings.
`FlowArtifactFactory` | `getFlowArtifactFactory()` Returns the factory for core flow artifacts such as Flow and State.
`AttributeMap` | `getFlowAttributes()` Returns externally configured attributes to assign to the flow definition being built.
`FlowDefinitionLocator` | `getFlowDefinitionLocator()` Returns the locator for locating dependent flows (subflows).
`java.lang.String` | `getFlowId()` Returns an externally configured flow definition identifier to assign to the flow being built.
`org.springframework.validation.Validator` | `getValidator()` Returns the Validator instance to use for validating a model.
`ViewFactoryCreator` | `getViewFactoryCreator()` Returns the view factory creator for configuring a ViewFactory per view state

Method Detail

### getFlowId

    java.lang.String getFlowId()

  Returns an externally configured flow definition identifier to assign to the flow being built.

  Returns:
    the flow id

### getFlowAttributes

    AttributeMap getFlowAttributes()

  Returns externally configured attributes to assign to the flow definition being built.

  Returns:
    the flow attributes

### getFlowDefinitionLocator

    FlowDefinitionLocator getFlowDefinitionLocator()

  Returns the locator for locating dependent flows (subflows).

  Returns:
    the flow definition locator

### getFlowArtifactFactory

    FlowArtifactFactory getFlowArtifactFactory()

  Returns the factory for core flow artifacts such as Flow and State.

  Returns:
    the flow artifact factory

### getConversionService

    ConversionService getConversionService()

  Returns a generic type conversion service for converting between types, typically from string to a rich value object.

  Returns:
    the generic conversion service

### getViewFactoryCreator

    ViewFactoryCreator getViewFactoryCreator()

  Returns the view factory creator for configuring a ViewFactory per view state

  Returns:
    the view factory creator

### getExpressionParser

    ExpressionParser getExpressionParser()

  Returns the expression parser for parsing expression strings.

  Returns:
    the expression parser

### getValidator

    org.springframework.validation.Validator getValidator()

  Returns the Validator instance to use for validating a model.

  Returns:
    the validator

### getApplicationContext

    org.springframework.context.ApplicationContext getApplicationContext()

  Returns the application context hosting the flow system.

  Returns:
    the application context

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD